Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.textfileinput
Interface InputFileMetaInterface

All Superinterfaces:
  StepMetaInterface

All Known Implementing Classes:
  CsvInputMeta, ParGzipCsvInputMeta, TextFileInputMeta

    public interface InputFileMetaInterface

extends StepMetaInterface

Method Summary
`String` | `getEnclosure()`
`String` | `getErrorCountField()`
`String` | `getErrorFieldsField()`
`String` | `getErrorTextField()`
`String` | `getEscapeCharacter()`
`int` | `getFileFormatTypeNr()`
`String[]` | `getFilePaths(org.pentaho.di.core.variables.VariableSpace space)`
`String` | `getFileType()`
`TextFileInputField[]` | `getInputFields()`
`int` | `getNrHeaderLines()`
`String` | `getSeparator()`
`boolean` | `hasHeader()`
`boolean` | `includeFilename()`
`boolean` | `includeRowNumber()`
`boolean` | `isErrorIgnored()`
`boolean` | `isErrorLineSkipped()`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, check, clone, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getStep, getStepData, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, getXML, loadXML, readRep, saveRep, searchInfoAndTargetSteps, setDefault, setInfoSteps, setTargetSteps, supportsErrorHandling`

Method Detail

### getInputFields

    TextFileInputField[] getInputFields()

### getFileFormatTypeNr

    int getFileFormatTypeNr()

### hasHeader

    boolean hasHeader()

### getNrHeaderLines

    int getNrHeaderLines()

### getFilePaths

    String[] getFilePaths(org.pentaho.di.core.variables.VariableSpace space)

### isErrorIgnored

    boolean isErrorIgnored()

### getErrorCountField

    String getErrorCountField()

### getErrorFieldsField

    String getErrorFieldsField()

### getErrorTextField

    String getErrorTextField()

### getFileType

    String getFileType()

### getEnclosure

    String getEnclosure()

### getEscapeCharacter

    String getEscapeCharacter()

### getSeparator

    String getSeparator()

### isErrorLineSkipped

    boolean isErrorLineSkipped()

### includeFilename

    boolean includeFilename()

### includeRowNumber

    boolean includeRowNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD